com.amos.flyinn.settingsCheck

## Class SettingsChecker

- java.lang.Object
- - com.amos.flyinn.settingsCheck.SettingsChecker

-     public class SettingsChecker
      extends java.lang.Object

  Checks the software settings which are necessary

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SettingsChecker.SettingsType` Different types of settings

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SettingsChecker(android.content.Context context)` Constructor sets context

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `FixManualADBperUsbSettings()` Open Developer menu for enabling usb
    `void` | `FixManualDeveloperSettings()` Open menu with Software version for enabling developer settings
    `java.util.HashSet<SettingsChecker.SettingsType>` | `GetMissingSettings()` Collect all disabled settings which are necessary to be enabled for this app in a list

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SettingsChecker

          public SettingsChecker(android.content.Context context)

      Constructor sets context
      Parameters:
        `context` - The context where the settings should be checked

  - ### Method Detail

    - #### GetMissingSettings

          public java.util.HashSet<SettingsChecker.SettingsType> GetMissingSettings()

      Collect all disabled settings which are necessary to be enabled for this app in a list
      Returns:
        List List of disabled settings.

    - #### FixManualDeveloperSettings

          public void FixManualDeveloperSettings()

      Open menu with Software version for enabling developer settings

    - #### FixManualADBperUsbSettings

          public void FixManualADBperUsbSettings()

      Open Developer menu for enabling usb